]> arthur.barton.de Git - bup.git/commitdiff
gc-cmd: copy to bup.cmd.gc
authorRob Browning <rlb@defaultvalue.org>
Mon, 8 Feb 2021 04:02:27 +0000 (22:02 -0600)
committerRob Browning <rlb@defaultvalue.org>
Sat, 6 Mar 2021 18:29:38 +0000 (12:29 -0600)
Signed-off-by: Rob Browning <rlb@defaultvalue.org>
lib/bup/cmd/gc.py [new file with mode: 0755]
lib/cmd/gc-cmd.py [deleted file]

diff --git a/lib/bup/cmd/gc.py b/lib/bup/cmd/gc.py
new file mode 100755 (executable)
index 0000000..6c4ae37
--- /dev/null
@@ -0,0 +1,65 @@
+#!/bin/sh
+"""": # -*-python-*-
+# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
+export "BUP_ARGV_0"="$0"
+arg_i=1
+for arg in "$@"; do
+    export "BUP_ARGV_${arg_i}"="$arg"
+    shift
+    arg_i=$((arg_i + 1))
+done
+# Here to end of preamble replaced during install
+bup_python="$(dirname "$0")/../../../config/bin/python" || exit $?
+exec "$bup_python" "$0"
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
+
+# Intentionally replace the dirname "$0" that python prepends
+import os, sys
+sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/../..'
+
+from bup import compat, git, options
+from bup.gc import bup_gc
+from bup.helpers import die_if_errors, handle_ctrl_c, log
+
+
+optspec = """
+bup gc [options...]
+--
+v,verbose   increase log output (can be used more than once)
+threshold=  only rewrite a packfile if it's over this percent garbage [10]
+#,compress= set compression level to # (0-9, 9 is highest) [1]
+unsafe      use the command even though it may be DANGEROUS
+"""
+
+# FIXME: server mode?
+# FIXME: make sure client handles server-side changes reasonably
+
+handle_ctrl_c()
+
+o = options.Options(optspec)
+opt, flags, extra = o.parse(compat.argv[1:])
+
+if not opt.unsafe:
+    o.fatal('refusing to run dangerous, experimental command without --unsafe')
+
+if extra:
+    o.fatal('no positional parameters expected')
+
+if opt.threshold:
+    try:
+        opt.threshold = int(opt.threshold)
+    except ValueError:
+        o.fatal('threshold must be an integer percentage value')
+    if opt.threshold < 0 or opt.threshold > 100:
+        o.fatal('threshold must be an integer percentage value')
+
+git.check_repo_or_die()
+
+bup_gc(threshold=opt.threshold,
+       compression=opt.compress,
+       verbosity=opt.verbose)
+
+die_if_errors()
diff --git a/lib/cmd/gc-cmd.py b/lib/cmd/gc-cmd.py
deleted file mode 100755 (executable)
index d765336..0000000
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/bin/sh
-"""": # -*-python-*-
-# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
-export "BUP_ARGV_0"="$0"
-arg_i=1
-for arg in "$@"; do
-    export "BUP_ARGV_${arg_i}"="$arg"
-    shift
-    arg_i=$((arg_i + 1))
-done
-# Here to end of preamble replaced during install
-bup_python="$(dirname "$0")/../../config/bin/python" || exit $?
-exec "$bup_python" "$0"
-"""
-# end of bup preamble
-
-from __future__ import absolute_import
-
-# Intentionally replace the dirname "$0" that python prepends
-import os, sys
-sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/..'
-
-from bup import compat, git, options
-from bup.gc import bup_gc
-from bup.helpers import die_if_errors, handle_ctrl_c, log
-
-
-optspec = """
-bup gc [options...]
---
-v,verbose   increase log output (can be used more than once)
-threshold=  only rewrite a packfile if it's over this percent garbage [10]
-#,compress= set compression level to # (0-9, 9 is highest) [1]
-unsafe      use the command even though it may be DANGEROUS
-"""
-
-# FIXME: server mode?
-# FIXME: make sure client handles server-side changes reasonably
-
-handle_ctrl_c()
-
-o = options.Options(optspec)
-opt, flags, extra = o.parse(compat.argv[1:])
-
-if not opt.unsafe:
-    o.fatal('refusing to run dangerous, experimental command without --unsafe')
-
-if extra:
-    o.fatal('no positional parameters expected')
-
-if opt.threshold:
-    try:
-        opt.threshold = int(opt.threshold)
-    except ValueError:
-        o.fatal('threshold must be an integer percentage value')
-    if opt.threshold < 0 or opt.threshold > 100:
-        o.fatal('threshold must be an integer percentage value')
-
-git.check_repo_or_die()
-
-bup_gc(threshold=opt.threshold,
-       compression=opt.compress,
-       verbosity=opt.verbose)
-
-die_if_errors()